//------------------------------------------------------
//
//   Greg's Blogging - Key handler
//
//------------------------------------------------------

package gcewing.blogging;

import java.util.EnumSet;

import net.minecraft.client.settings.KeyBinding;
import cpw.mods.fml.client.FMLClientHandler;
import cpw.mods.fml.client.registry.KeyBindingRegistry;
import cpw.mods.fml.client.registry.KeyBindingRegistry.KeyHandler;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.common.TickType;

public class KeyBindingHandler extends KeyHandler {

	static void register(KeyBindingList bindings) {
		KeyBindingHandler handler = new KeyBindingHandler(bindings);
		KeyBindingRegistry.registerKeyBinding(handler);
	}

	public KeyBindingHandler(KeyBindingList bindings) {
		super(bindings.getBindings(), bindings.getRepeats());
	}
	
	@Override
	public String getLabel() {
		return("Greg's Blogging");
	}

	@Override
	public void keyDown(EnumSet<TickType> types, KeyBinding kb, boolean tickEnd, boolean isRepeat) {
		if (tickEnd) {
			FMLClientHandler ch = FMLClientHandler.instance();
			if (ch.getClient().currentScreen == null && ch.getSide() == Side.CLIENT) {
				((KeyHandlerBinding)kb).handler.keyDown();
			}
		}
	}

	@Override
	public void keyUp(EnumSet<TickType> types, KeyBinding kb, boolean tickEnd) {
	}

	@Override
	public EnumSet<TickType> ticks() {
		return EnumSet.of(TickType.CLIENT);
	}

}
