//-------------------------------------------------------------
//
//   Greg's Blogging - Thread for sending entry to Wordpress
//
//-------------------------------------------------------------

package gcewing.blogging;

import sun.misc.BASE64Encoder;

class WordpressThread extends BlogThread {

	static String lastPostSubject;
	static String lastPostID;
	static String lastPostContent;

	String html;
	byte[] image;
	String imageURL;
	
	public static void reset() {
		lastPostSubject = null;
		lastPostID = null;
		lastPostContent = null;
	}

	WordpressThread(String subject, String html, byte[] image) {
		super(subject);
		this.html = html;
		this.image = image;
	}
	
	public void run() {
		Wordpress.Site site = Wordpress.site;
		String host = site.host;
		try {
			if (site.defaultBlog == null) {
				Chat.print("Getting list of blogs from " + host);
				site.loadBlogs();
			}
			Wordpress.Blog blog = Wordpress.site.defaultBlog;
			if (image != null && imageURL == null) {
				Chat.print("Uploading screenshot to " + host);
				imageURL = blog.uploadFile(subject + ".jpg", "image/jpeg", image);
				System.out.printf("WordpressThread: Image URL = '%s'\n", imageURL);
				html = html.replace("<IMGSRC>", imageURL);
			}
			if (lastPostID != null) {
				Chat.print("Adding to blog entry at " + host);
				String content = lastPostContent;
				if (!subject.equals(lastPostSubject))
					content += "<h3>" + subject + "</h3>";
				else
					content += "<br><br>";
				content += html;
				blog.editPost(lastPostID, content);
				lastPostContent = content;
				lastPostSubject = subject;
			}
			else {
				Chat.print("Sending blog entry to " + host);
				lastPostID = blog.newPost(subject, html);
				lastPostSubject = subject;
				lastPostContent = html;
			}
			Chat.print("Entry successfully uploaded to " + host);
			complete = true;
		}
		catch (EnvironmentError e) {
			reportError("Uploading to " + host + " failed", e);
		}
	}

}
