//------------------------------------------------------------------------------
//
//   Greg's Blogging Mod - Array type for web protocols
//
//------------------------------------------------------------------------------

package gcewing.blogging.web;

import java.util.*;

public class Array extends ArrayList<Object> {

	public Array() {
		super();
	}
	
	public Array(Object... values) {
		super();
		for (Object x : values)
			add(x);
	}

	public String toString() {
		return toString("[", "]");
	}
	
	public String toString(String bra, String ket) {
		StringBuilder b = new StringBuilder();
		String sep = bra;
		for (Object item : this) {
			b.append(sep);
			sep = ",";
			b.append(XMLRPC.asString(item));
		}
		b.append(ket);
		return b.toString();
	}
	
	public String getString(int i) {
		return XMLRPC.asType(get(i), String.class);
	}
	
	public int getInteger(int i) {
		return XMLRPC.asType(get(i), Integer.class);
	}
	
	public boolean getBoolean(int i) {
		return XMLRPC.asType(get(i), Boolean.class);
	}
	
	public Array getArray(int i) {
		return XMLRPC.asType(get(i), Array.class);
	}
	
	public Struct getStruct(int i) {
		return XMLRPC.asType(get(i), Struct.class);
	}
	
}
