//------------------------------------------------------------------------------
//
//   Greg's Blogging Mod - HTTP client request
//
//------------------------------------------------------------------------------

package gcewing.blogging.web;

import java.io.*;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.ProtocolException;
import java.net.URL;
import java.net.URLEncoder;
import java.util.logging.Level;
import java.util.logging.Logger;

import gcewing.blogging.*;

public class HTTP {

	public static boolean debugResponse = true;

	public int code;
	public String message;
	public String body;
	
	public HTTP(String url, String method, String content) {
		try {
			HttpURLConnection conn = (HttpURLConnection)(new URL(url).openConnection());
			conn.setDoInput(true);
			conn.setDoOutput(true);
			conn.setUseCaches(false);
			conn.setRequestMethod(method);
			conn.connect();
			DataOutputStream output = new DataOutputStream(conn.getOutputStream());
			//conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
			output.writeBytes(content);
			output.flush(); // Need this?
			output.close();
			code = conn.getResponseCode();
			message = conn.getResponseMessage();
			BufferedReader input = new BufferedReader(new InputStreamReader(conn.getInputStream()));
			StringBuilder sb = new StringBuilder();
			String line;
			while ((line = input.readLine()) != null)
				sb.append(line);
			body = sb.toString();
			if (debugResponse)
				System.out.printf("HTTP response body: %s\n", body);
		}
		catch (Exception e) {
			throw new EnvironmentError(e);
		}
	}

}
