//------------------------------------------------------------------------------
//
//   Greg's Blogging Mod - Struct type for web protocols
//
//------------------------------------------------------------------------------

package gcewing.blogging.web;

import java.util.*;

public class Struct extends HashMap<String, Object> {

	public String toString() {
		StringBuilder b = new StringBuilder();
		String sep = "{";
		for (String key : keySet()) {
			b.append(sep);
			b.append(key);
			b.append("=");
			b.append(XMLRPC.asString(get(key)));
			sep = ",";
		}
		b.append("}");
		return b.toString();
	}
	
	public String getString(String key) {
		return XMLRPC.asType(get(key), String.class);
	}
	
	public int getInteger(String key) {
		return XMLRPC.asType(get(key), Integer.class);
	}
	
	public boolean getBoolean(String key) {
		return XMLRPC.asType(get(key), Boolean.class);
	}

	public Array getArray(String key) {
		return XMLRPC.asType(get(key), Array.class);
	}
	
	public Struct getStruct(String key) {
		return XMLRPC.asType(get(key), Struct.class);
	}

}
